<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
include("DFJQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	$("#des_ope").autocomplete('DYAUTPROD.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#id_ope").autocomplete('DYAUTPROD.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#id_ope").result(function(event, data, formatted){
		$('#des_ope').val(data[0]);
		$('#des_ope').focus();
	});	
	$("#des_ope").result(function(event, data, formatted){
		$('#id_ope').val(data[1]);
	});	
	$("input[@name=tip_bus]").click(function(){
		$('#des_ope').setOptions({
			extraParams:{
				tipBus:getValRadChe('tip_bus')
			}
		});
	});
});
</script>


<body>
<? 
/*Verifica que exista Variable contenedora del Id del Encabezado*/	
if (!isset($_REQUEST['bot'])){
	echo '<h2>!!! SELECCIONA UN REGISTRO... ACTUALIZANDO !!!</h2>';
	echo '<meta content="1; url=DI21100_PR.php"  HTTP-EQUIV="REFRESH">';
	exit();
}
/****************************************************************/

/*Llena Variable para verificar si esta en modo Update*/
if(!isset($_POST['block_mod'])){
	$bMod=false;			//Bandera de modificar, bloquea pagina en modo Modificar esperando el evento que la cambie de estado
	$bSel='';				//Id registro a modificar
}
else{
	$bMod=$_POST['block_mod'];
	$bSel=$_POST['reg_mod'];
}
/****************************************************/

$bModPri=false;				//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)
$id_enc=$_REQUEST["bot"]; 	//Id de Encabezado
$id_det=$_POST['bot_det'];	//Id de Detalle (si se selecciono alguno)
/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
include('DI21100_CL.php');
$dataEnc['idInvent']=$id_enc;
$dataDet['idInvent']=$id_enc;
$dataDet['idInvend']=$id_det;
//echo "DETALLE: $dataDet['idInvend']";
//$encInv = new EncFac($dataEnc);
//$detInv = new DetFac($dataDet);
/************************************************************/

/*Recuperar Información de Encabezado y la coloca en los objetos HTML*/
//$res=$encInv->busReg();
$dt_encinv=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginvent WHERE nparte1='$id_enc'"));
$_REQUEST['id_prod']=$dt_encinv['nparte1'];
$_REQUEST['des_prod']=$dt_encinv['np_desc1'];
/******************************************************************/

/*Verificamos Si es la Primer Carga de La Pagina por si es necesario realizar alguna accion*/
if(!isset($_POST['DI21100_AGDET'])){
	$_REQUEST['id_iva']  =$dt_encinv['idTasIva'];
}
/************************************************/

/*Bloque de condiciones para Realizar las distintas operaciones sobre el detalle*/
if(isset($_POST['agregar'])){
	//codigo agregar
	$dataDet['idInventDet']=$_POST['id_ope'];
	$dataDet['canProd']=$_POST['cantidad'];
	//$detInv->resetData($dataDet);
	//$rs=$detInv->agregar();
		$rs=mysqli_query($con ,"INSERT INTO dginvend SET nparte1='".$dataDet['idInvent']."', nparte1_det='".$dataDet['idInventDet']."', can_Ref='".$dataDet['canProd']."',usuario='".$_SESSION['num_usu']."',acc_fec=CURDATE(),acc_hor=CURTIME()");
	if($rs){
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope'] ='';
		$_REQUEST['cantidad']='';		
	}
}
elseif(isset($_POST['modificar']) && isset($_POST['bot_det'])){
	//Recupera Registro de Detalle y coloca los valores en los objetos HTML
	//Cambia la bandera de modificar a True y llena la variable que contiene el id del registro a modificar
	$dt_invendMod=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginvend WHERE id_invend='".$dataDet['idInvend']."'"));
	$auxInvent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginvent WHERE nparte1='".$dt_invendMod['nparte1_det']."'"));
	$_REQUEST['id_ope']=$dt_invendMod['nparte1_det'];
	$_REQUEST['des_ope']=$auxInvent['np_desc1'];	
	$_REQUEST['cantidad']=$dt_invendMod['can_ref'];
	$bSel=$_POST['bot_det'];
	$bModPri=true;
	$bMod=true;
}
elseif(isset($_POST['eliminar']) && isset($_POST['bot_det'])){
	//codigo eliminar
	$rs=mysqli_query($con ,"DELETE FROM dginvend WHERE id_invend='".$dataDet['idInvend']."'");
}
elseif(isset($_POST['modificarReg'])){
	$dataDet['idInventDet']=$_POST['id_ope'];
	$dataDet['canProd']=$_POST['cantidad'];
	//$detInv->resetData($dataDet);
	//$rs=$detInv->agregar();
	$rs=mysqli_query($con ,$sq="UPDATE  dginvend SET nparte1_det='".$dataDet['idInventDet']."', can_ref='".$dataDet['canProd']."',usuario='".$_SESSION['num_usu']."',acc_fec=CURDATE(),acc_hor=CURTIME() WHERE id_invend='$bSel'");
	//echo $sq;
	$bMod=false;
	$bSel='';
	if($rs){
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope'] ='';
		$_REQUEST['cantidad']='';		
	}
}elseif(isset($_POST['terminarCaptura'])){
		echo '<meta content="0; url=DI21100_PR.php"  HTTP-EQUIV="REFRESH">';		
		mysqli_close();
		exit();
}

/*Si Se Realizaron Operaciones sobre detalle actualiza Totales Factura*/
if($rs){
	//$encInv->resetData($detInv->getTotFac());
	//$encInv->actTotFac();
}
/****************************************************************/

/*Busca los Registros pertenecientes al encabezado en cuestion*/
$sq_detfac=mysqli_query($con ,"SELECT * FROM dginvend WHERE nparte1='".$dataEnc['idInvent']."'");

/*************************************************************/
?>

<form name="frm1" method="post" action="" enctype="multipart/form-data">
<input type="hidden" name="DI21100_AGDET" id="DI21100_AGDET" value="DI21100_AGDET.php">
<input type="hidden" name="bot" id="bot" value="<? echo $_REQUEST['bot'];?>">
<input type="hidden" name="reg_mod" id="reg_mod" value="<? echo $bSel;?>">
<input type="hidden" name="block_mod" id="block_mod" value="<? echo $bMod;?>">

  <table   align="center">
    <tr>
      <th colspan="4" class=\"titulo\"><div align="center">AGREGAR  DETALLE DE PRODUCTO </div></th>
    </tr>
    <tr>
      <td>Clave de producto: </td>
      <td>
        <input name="id_prod" type="text" tabindex="1" readonly value="<? echo $_REQUEST['id_prod']?>"/>     </td>
      <td>Descripcion:</td>
      <td><input name="des_prod" type="text" id="des_prod" tabindex="2" value="<? echo $_REQUEST['des_prod']?>" size="50" readonly></td>
    </tr>
  </table>
  <table  align="center">
    <tr style="#F2F2F2">
      <td nowrap style="#E9E9E9"><label>Producto:
          <input name="id_ope" type="text" id="id_ope" size="10" value="<? echo trim($_REQUEST['id_ope']);?>">
        </label>
          <label></label>
          <label>
          <input name="des_ope" type="text" id="des_ope" size="50" value="<? echo trim($_REQUEST['des_ope']);?>">
          <input name="tip_bus_ope" type="radio" value="c">
            Cve.
            <input name="tip_bus_ope" type="radio" value="d" checked>
            Des. </label></td>
    </tr>
  </table>
  <table align="center">
    <tr>
      <td nowrap style="#E9E9E9">Cantidad:
        <label>
          <input name="cantidad" type="text" id="cantidad"  value="<? echo $_REQUEST['cantidad'];?>" size="10">
        </label></td>
    </tr>

    <tr style="#F2F2F2">
      <td colspan="4" nowrap style="#E9E9E9"><div align="center">
          <?php

		  	if($bMod){
				echo ' <input name="modificarReg" type="submit" id="modificarReg" value="Modificar">';
			}else{
				echo ' <input name="agregar" type="submit" id="agregar" value="Agregar">';
			}
		  ?>
      </div></td>
    </tr>
  </table>
  <p>&nbsp;</p>
  <table border="0" cellspacing="4" align="center" id="tableDetail">
    <tr style="#E9E9E9">
      <td colspan="5"><div align="center">
          <?php

			if(!$bMod){
				echo '  <input name="eliminar" type="submit" id="eliminar" value="Eliminar">
          				<input name="modificar" type="submit" id="modificar" value="Modificar">';
			}else{
				echo ' <input name="eliminar" disabled type="submit" id="eliminar" value="Eliminar">';
			}
		?>
      </div></td>
    </tr>
    <tr style="#999999">
      <td nowrap ><span class="Estilo33">Sel.</span></td>
      <td nowrap class="Estilo33">Cantidad</td>
      <td nowrap class="Estilo33">Clave</td>
      <td nowrap><span class="Estilo33">Descripci&oacute;n </span></td>
      <td nowrap class="Estilo33">Puntos </td>
    </tr>
    <?php

		//Codigo Mostrar Detalle
		$subTotDoc=0.00;
		$ivaTotDoc=0.00;
		$totDoc=0.00;
		$subTotPar=0.00;
		$ivaTotPar=0.00;
		$totPar=0.00;
		$tipCar='-1';
		$contador=0;
		while($dt_invend=mysqli_fetch_array($sq_detfac)){
			$contador++;
			$auxInvent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginvent WHERE nparte1='".$dt_invend['nparte1_det']."'"));
			if($dt_invend['id_invend']!=$bSel){// nparte1, np_desc son de la table dginvent
				echo'<tr>
					<td class="detailRowTable"><div align="center">
						<input type="radio" name="bot_det" id="bot_det" value="'.$dt_invend['id_invend'].'">
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_invend['can_ref'],2,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="left">
							'.$auxInvent['nparte1'].'&nbsp;
					</div></td>

					<td class="detailRowTable" ><div align="left">
							'.$auxInvent['np_desc1'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_invend['num_pun'],2,'.',',').'&nbsp;
					</div></td>
					</tr>';
					$numPun +=$auxInvent['num_pun'];
				}
		}
		echo '
			<tr>
			<td colspan="4" class="inputcodigo"><div align="right">Total Puntos: &nbsp;</div></td>
			<td colspan="1" class="inputcodigo"><div align="right">'.number_format($numPun,2,'.',',').'</div></td>
			</tr>';		
		
	?>
    <tr>
      <td colspan="6"><div align="center">
        <input type="submit" name="terminarCaptura" id="terminarCaptura" value="Terminar">
      </div></td>
    </tr>
  </table>
  <p>&nbsp;</p>
</form>
</body>
</html>
<?php
 mysqli_close($con);?>
